import isEqual from "lodash/isEqual";
export function shouldFilterDeletedFromReadResult(params, config) {
    var _a;
    return (!((_a = params.scope) === null || _a === void 0 ? void 0 : _a.relations.to.isList) &&
        (!params.args.where ||
            typeof params.args.where[config.field] === "undefined" ||
            isEqual(params.args.where[config.field], config.createValue(false))));
}
export function filterSoftDeletedResults(result, config) {
    // filter out deleted records from array results
    if (result && Array.isArray(result)) {
        return result.filter((item) => isEqual(item[config.field], config.createValue(false)));
    }
    // if the result is deleted return null
    if (result && !isEqual(result[config.field], config.createValue(false))) {
        return null;
    }
    return result;
}
