"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterSoftDeletedResults = exports.shouldFilterDeletedFromReadResult = void 0;
const isEqual_1 = __importDefault(require("lodash/isEqual"));
function shouldFilterDeletedFromReadResult(params, config) {
    var _a;
    return (!((_a = params.scope) === null || _a === void 0 ? void 0 : _a.relations.to.isList) &&
        (!params.args.where ||
            typeof params.args.where[config.field] === "undefined" ||
            (0, isEqual_1.default)(params.args.where[config.field], config.createValue(false))));
}
exports.shouldFilterDeletedFromReadResult = shouldFilterDeletedFromReadResult;
function filterSoftDeletedResults(result, config) {
    // filter out deleted records from array results
    if (result && Array.isArray(result)) {
        return result.filter((item) => (0, isEqual_1.default)(item[config.field], config.createValue(false)));
    }
    // if the result is deleted return null
    if (result && !(0, isEqual_1.default)(result[config.field], config.createValue(false))) {
        return null;
    }
    return result;
}
exports.filterSoftDeletedResults = filterSoftDeletedResults;
